org.apache.xmpbox.type

## Class PropertiesDescription

- java.lang.Object
- - org.apache.xmpbox.type.PropertiesDescription

    public class PropertiesDescription
    extends Object

Represents all properties known for a specific namespace Type and attributes associated to each properties. If a specific well declared type is used, this class maps it to a basic type.

Author:
  a183132 Attribute management pre-implemented in order to give clues to make an attribute management system.

### Constructor Summary

Constructors
Constructor and Description
`PropertiesDescription()` Build PropMapping for specified namespace

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `addNewProperty(String name, PropertyType type)` Add a new property, an attributes list can be given or can be null
`List<String>` `getPropertiesName()` Deprecated. use `getPropertiesNames()`
`List<String>` `getPropertiesNames()` Get all property names
`PropertyType` `getPropertyType(String name)` Return a type of a property from its qualifiedName
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PropertiesDescription

    public PropertiesDescription()

Build PropMapping for specified namespace

### Method Detail

#### getPropertiesName

    @Deprecated
    public List<String> getPropertiesName()

Deprecated. use `getPropertiesNames()`
Get all property names

Returns:
  a list of properties qualifiedName

#### getPropertiesNames

    public List<String> getPropertiesNames()

Get all property names

Returns:
  a list of properties qualifiedName

#### addNewProperty

    public void addNewProperty(String name,
                               PropertyType type)

Add a new property, an attributes list can be given or can be null

Parameters:
  `name` - new property name
  `type` - Valuetype of the new property

#### getPropertyType

    public PropertyType getPropertyType(String name)

Return a type of a property from its qualifiedName

Parameters:
  `name` - The name of the property concerned
Returns:
  Type of property or null

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`